=== tools/testing/selftests/cpu-hotplug/Makefile ===
all:

run_tests:
	@/bin/bash ./on-off-test.sh || echo "cpu-hotplug selftests: [FAIL]"

clean:
