=== debian/changelog ===
linux-tools (3.16.56-1) jessie-security; urgency=high

  * New upstream stable update:
    http://kernel.ubuntu.com/stable/ChangeLog-3.16.7-ckt21
    - recordmcount: Fix endianness handling bug for nop_mcount
    - perf trace: Fix documentation for -i
    http://kernel.ubuntu.com/stable/ChangeLog-3.16.7-ckt23
    - scripts: recordmcount: break hardlinks
    - ftrace/scripts: Have recordmcount copy the object file
    - ftrace/scripts: Fix incorrect use of sprintf in recordmcount
    http://kernel.ubuntu.com/stable/ChangeLog-3.16.7-ckt24
    - tools lib traceevent: Fix output of %llu for 64 bit values read on 32 bit
      machines
    - scripts/recordmcount.pl: support data in text section on powerpc
    http://kernel.ubuntu.com/stable/ChangeLog-3.16.7-ckt25
    - perf annotate browser: Fix behaviour of Shift-Tab with nothing focussed
    - perf hists: Fix HISTC_MEM_DCACHELINE width setting
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.35
    - perf pmu: Fix misleadingly indented assignment (whitespace)
    - perf tools: handle spaces in file names obtained from /proc/pid/maps
    - perf tools: Dont stop PMU parsing on alias parse error
    - perf stat: Document --detailed option
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.36
    - tools lib traceevent: Do not reassign parg after collapse_tree()
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.37
    - kbuild: move -Wunused-const-variable to W=1 warning level
    - perf tools: Fix perf regs mask generation
    - of: fix autoloading due to broken modalias with no 'compatible'
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.39
    - ftrace/recordmcount: Work around for addition of metag magic but not
      relocations
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.40
    - perf symbols: Fixup symbol sizes before picking best ones
    - scripts/has-stack-protector: add -fno-PIE
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.42
    - perf trace: Use the syscall raw_syscalls:sys_enter timestamp
    - perf scripting: Avoid leaking the scripting_context variable
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.44
    - perf evlist: Fix typo in perf_evlist__start_workload()
    - perf script: Fix man page about --dump-raw-trace option
    - perf tests: Avoid possible truncation with dirent->d_name + snprintf
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.46
    - perf symbols: Fix symbols__fixup_end heuristic for corner cases
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.47
    - perf hists browser: Fix typo in function switch_data_file
    - perf inject: Don't proceed if perf_session__process_event() fails
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.48
    - perf probe: Fix examples section of documentation
    - perf script: Fix outdated comment for perf-trace-python
    - perf script: Fix documentation errors
    - perf script python: Fix wrong code snippets in documentation
    - perf script python: Updated trace_unhandled() signature
    - perf script python: Remove dups in documentation examples
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.50
    - perf annotate: Fix broken arrow at row 0 connecting jmp instruction to
      its target
    - modpost: expand pattern matching to support substring matches
    - modpost: don't emit section mismatch warnings for compiler optimizations
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.51
    - perf tests attr: Fix no-delay test
    - perf events parse: Rename parsing state struct to clearer name
    - perf events parse: Use just one parse events state struct
    - perf tools: Really install manpages via 'make install-man'
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.54
    - usbip: tools: Install all headers needed for libusbip development
    - usbip: prevent vhci_hcd driver from leaking a socket pointer address
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.55
    - hv: kvp: Avoid reading past allocated blocks from KVP file
    - usbip: fix usbip bind writing random string after command in match_busid
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.56
    - module/retpoline: Warn about missing retpoline in module

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 16 Apr 2018 21:46:20 +0100
