## linux-tools 4.0.2

=== debian/changelog ===
linux-tools (4.0.2-1) unstable; urgency=medium

  * New upstream release
  * Thanks to Luca Boccassi and Lukas Wunner for some hints on upgrading
    to 4.0 (Closes: #778588)
  * debian/control: Add gcc-multilib to Build-Depends in order to build
    perf-read-vdso{,x}32
  * linux-tools: Install perf-read-vdso{,x}32 in versioned directory
    under /usr/lib
  * linux-tools: Set ARCH=x86 when building perf for amd64, i386 or x32
  * linux-kbuild: Include Makefile.kasan (Closes: #783681)
  * linux-kbuild: Enable Large File Support (Closes: #778942)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 11 May 2015 03:53:12 +0100

linux-tools (3.18.5-1~exp1) experimental; urgency=medium

  * New upstream release
  * linux-tools: Fix build configuration to avoid linking perf with libbfd
    (Closes: #763002)
  * linux-tools: Add a check that perf is not linked with libbfd
  * [arm64] Enable building linux-tools, thanks to Steve Capper
    (Closes: #771340)
  * [armel,armhf] linux-tools: Enable use of libunwind
  * [hppa,sparc] linux-tools: Enable use of libnuma
  * [mips*,powerpcspe,x32] Enable building linux-tools

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 01 Feb 2015 02:53:07 +0100

linux-tools (3.17-1~exp1) experimental; urgency=medium

  * New upstream release
    - usbip userspace moved to tools/usb/usbip

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 17 Oct 2014 14:58:51 +0200
