## linux-tools 4.1.4

=== debian/changelog ===
linux-tools (4.1.4-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Hector Oron <zumbi@debian.org>  Wed, 12 Aug 2015 17:27:41 +0200

linux-tools (4.1.4-2) unstable; urgency=medium

  * [mips*,alpha,hppa] linux-perf: Add empty Build files for these architectures
    (fixes FTBFS)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 04 Aug 2015 17:11:46 +0100

linux-tools (4.1.4-1) unstable; urgency=medium

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.1.4
    - perf bench numa: Fix to show proper convergence stats

  [ Ben Hutchings ]
  * linux-tools: Set $KBUILD_BUILD_TIMESTAMP from changelog and use it as man
    page date
  * hyperv-daemons: Only attempt to build package on i386, amd64
    (fixes FTBFS on other architectures)
  * linux-tools: Rename to linux-perf-<version>, since other tools are
    in other binary packages

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 04 Aug 2015 00:47:58 +0100

linux-tools (4.1.2-1~exp1) experimental; urgency=medium

  * New upstream release

  [ Bastian Blank ]
  * Add hyperv-daemons package, thanks to Hideki Yamane (closes: #782761)

  [ Ben Hutchings ]
  * hyperv-daemons: Rewrite description

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 13 Jul 2015 01:33:27 +0100
